<%@ page contentType="text/html;charset=gb2312"%> 
<%@ page import="java.util.Date,java.io.*"%> 
<html> 
<head> 
<title>文件属性的获取</title> 
</head> 
<body> 
<% 
String path=request.getRealPath("/"); 
File f=new File(path,"ReadData.txt"); 
if(f.exists()){ 
%> 
<%=f.getName()%>的属性如下：<br><br> 
文件长度为：<%=f.length()%> 
<%=f.isFile()?"是文件":"不是文件"%><br> 
<%=f.isDirectory()?"是目录":"不是目录"%><br> 
<%=f.canRead()?"可读取":"不可读取"%><br> 
<%=f.canWrite()?"可写入":"不可写入"%><br> 
<%=f.isHidden()?"是隐藏文件":"不是隐藏文件"%><br> 
文件的最后修改日期为：<%=new Date(f.lastModified())%><br> 
<% 
}else{ 
f.createNewFile();//在当前目录下建立一个名为ReaData.txt的文件 
%> 
<%=f.getName()%>的属性如下：<br><br> 
文件长度为：<%=f.length()%> 
<%=f.isFile()?"是文件":"不是文件"%><br> 
<%=f.isDirectory()?"是目录":"不是目录"%><br> 
<%=f.canRead()?"可读取":"不可读取"%><br> 
<%=f.canWrite()?"可写入":"不可写入"%><br> 
<%=f.isHidden()?"是隐藏文件":"不是隐藏文件"%><br> 
文件的最后修改日期为：<%=new Date(f.lastModified())%><br> 
<% 
} 
%> 
</body> 
</html> 
